2018-03-20 21:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000328Spring engineGeneralpublic2006-11-18 17:16
Assigned Totvo 
Product Version 
Target VersionFixed in Version 
Summary0000328: Sync errors in 0.73b1 with many players (seems to be >= 5 players)
DescriptionI have encountered sync errors in TA:Spring 0.71 and 0.72 when playing games with many players (e.g. 8 players - http://nickj.org/Review_of_TA_Spring#Sync_errors_that_lead_to_Split_games ), and have recently had someone confirm that they also experience the exact same sync errors with 5 or more players on 0.73b1 ( http://nickj.org/User_talk:Nickj#TA_Spring_Sync_Errors ).

I have put the severity as "major" because the game is ruined once a split starts as the players all end up in separate games; but the reproducibility as "sometimes", because (for me) there's not a definite set of actions to cause it to happen immediately, but the probability of it happening in a long-running many-player game seems anecdotally to be quite high.
TagsNo tags attached.
Attached Files




tvo (reporter)

Marking as resolved because 2 bugs that caused sync errors have been fixed in SVN (as in, will have been fixed in the version after 0.73b1).

If you discover this regular desyncing still happens with the next release, please open a new bug.

Oh and a minor note:
In your (nice!) article you talk about sync errors starting with "Delayed sync response", but that is unlikely. As in, they're unrelated. A pair of "No sync response from / Delayed sync response from" just indicates a lag peak, and does not indicate the game is going to desync.

-Issue History
Date Modified Username Field Change
2006-11-14 07:31 NickJ New Issue
2006-11-18 17:09 tvo Status new => assigned
2006-11-18 17:09 tvo Assigned To => tvo
2006-11-18 17:16 tvo Status assigned => resolved
2006-11-18 17:16 tvo Resolution open => fixed
2006-11-18 17:16 tvo Note Added: 0000440
+Issue History